package sample;

import javafx.scene.Group;
import javafx.scene.shape.Circle;

public class Ball {
    float x, y, dx, dy, r;
    Circle c;

    Main parent;

    public Ball (float x, float y, float r, Main parent) {
        this.x = x;
        this.y = y;
        this.r = r;

        this.parent = parent;
        dx = (float)Math.random()*4-2;
        dy = (float)Math.random()*4-2;
        c = new Circle(x,y,r);
    }

    void move () {
        x += dx;
        y += dy;

        if (x+r>=600 || x-r<=0) {
            dx *= -1;
            if (x+r>=600) {
                parent.lPoints++;
            }
            if (x-r<=0) {
                parent.rPoints++;
            }
            parent.updateScore();
        }
        if (y+r>=400 || y-r<=0) {
            dy *= -1;
        }

        c.setCenterX(x);
        c.setCenterY(y);
    }

    void addTo (Group rootElement) {
        rootElement.getChildren().add(c);
    }
}
